import { BaseProvider } from '#templates/base/provider';
import { ActiveBed } from '#models/ActiveBed';

export class ActiveBedProvider extends BaseProvider<ActiveBed> {
	public static instance: ActiveBedProvider;

	public static getInstance(): ActiveBedProvider {
		ActiveBedProvider.instance ??= new ActiveBedProvider();
		return ActiveBedProvider.instance;
	}

	public static get model() {
		return ActiveBed;
	}

	constructor() {
		super('ActiveBed');
	}
}
